Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
BulletSoftBodyWorldInfo Class Reference

## Public Member Functions
| BulletSoftBodyWorldInfo (btSoftBodyWorldInfo &_info)
void | garbage_collect (int lifetime=256)
PN_stdfloat | get_air_density () const
LVector3 | get_gravity () const
btSoftBodyWorldInfo & | get_info () const
PN_stdfloat | get_water_density () const
LVector3 | get_water_normal () const
PN_stdfloat | get_water_offset () const
void | set_air_density (PN_stdfloat density)
void | set_gravity (const LVector3 &gravity)
void | set_water_density (PN_stdfloat density)
void | set_water_normal (const LVector3 &normal)
void | set_water_offset (PN_stdfloat offset)

## Public Attributes
| get_air_density
| get_gravity
| get_water_density
| get_water_normal
| get_water_offset
| set_air_density
| set_gravity
| set_water_density
| set_water_normal
| set_water_offset

## Detailed Description

Definition at line 27 of file bulletSoftBodyWorldInfo.h.

## Constructor & Destructor Documentation

## ◆ ~BulletSoftBodyWorldInfo()

BulletSoftBodyWorldInfo::~BulletSoftBodyWorldInfo | ( |  | ) |
| inline

Definition at line 17 of file bulletSoftBodyWorldInfo.I.

## ◆ BulletSoftBodyWorldInfo()

BulletSoftBodyWorldInfo::BulletSoftBodyWorldInfo | ( | btSoftBodyWorldInfo & | _info | ) |

Definition at line 21 of file bulletSoftBodyWorldInfo.cxx.

## Member Function Documentation

## ◆ garbage_collect()

void BulletSoftBodyWorldInfo::garbage_collect | ( | int | lifetime = 256 | ) |

Definition at line 29 of file bulletSoftBodyWorldInfo.cxx.

## ◆ get_info()

btSoftBodyWorldInfo & BulletSoftBodyWorldInfo::get_info | ( |  | ) | const
| inline

Definition at line 25 of file bulletSoftBodyWorldInfo.I.

## Member Data Documentation

## ◆ get_air_density

PN_stdfloat BulletSoftBodyWorldInfo::get_air_density

Definition at line 46 of file bulletSoftBodyWorldInfo.h.

## ◆ get_gravity

LVector3 BulletSoftBodyWorldInfo::get_gravity

Definition at line 50 of file bulletSoftBodyWorldInfo.h.

## ◆ get_water_density

PN_stdfloat BulletSoftBodyWorldInfo::get_water_density

Definition at line 47 of file bulletSoftBodyWorldInfo.h.

## ◆ get_water_normal

LVector3 BulletSoftBodyWorldInfo::get_water_normal

Definition at line 49 of file bulletSoftBodyWorldInfo.h.

## ◆ get_water_offset

PN_stdfloat BulletSoftBodyWorldInfo::get_water_offset

Definition at line 48 of file bulletSoftBodyWorldInfo.h.

## ◆ set_air_density

void BulletSoftBodyWorldInfo::set_air_density

Definition at line 46 of file bulletSoftBodyWorldInfo.h.

## ◆ set_gravity

void BulletSoftBodyWorldInfo::set_gravity

Definition at line 50 of file bulletSoftBodyWorldInfo.h.

## ◆ set_water_density

void BulletSoftBodyWorldInfo::set_water_density

Definition at line 47 of file bulletSoftBodyWorldInfo.h.

## ◆ set_water_normal

void BulletSoftBodyWorldInfo::set_water_normal

Definition at line 49 of file bulletSoftBodyWorldInfo.h.

## ◆ set_water_offset

void BulletSoftBodyWorldInfo::set_water_offset

Definition at line 48 of file bulletSoftBodyWorldInfo.h.

The documentation for this class was generated from the following files:

- panda/src/bullet/bulletSoftBodyWorldInfo.h
- panda/src/bullet/bulletSoftBodyWorldInfo.cxx
- panda/src/bullet/bulletSoftBodyWorldInfo.I